Bug 602573 - `mount --bind` no longer works with files
Summary: `mount --bind` no longer works with files
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: util-linux-ng   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-10 08:33 UTC by Adam Tkac
Modified: 2013-04-30 23:46 UTC (History)
2 users (show)

Fixed In Version: util-linux-ng-2.18-0.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-18 11:24:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adam Tkac 2010-06-10 08:33:07 UTC
Description of problem:
`mount --bind` no longer works with files. When need to "mount" a file to another location then target file is created as a block device. In older releases it was created as a file with same perms as source file.

Version-Release number of selected component (if applicable):
# rpm -q util-linux-ng
util-linux-ng-2.18-0.1.fc14.x86_64

How reproducible:
always

Steps to Reproduce:
[root@evileye atkac]# touch file1
[root@evileye atkac]# touch file2
[root@evileye atkac]# mount --bind file1 file2
[root@evileye atkac]# ll file2
brw-rw---- 1 root disk 7, 0 Jun 10 10:30 file2

Actual results:
file2 is a block device after `mount --bind`

Expected results:
file2 should be standard file with the same parameters as original file

Comment 1 Karel Zak 2010-06-14 07:39:18 UTC
Fixed by upstream commit bc77da94f715f819c81ee8d1e6623e5ba6d3c373. Thanks!
(fedora will be updated after upgrade to 2.18-rc2)

Comment 2 Adam Tkac 2010-06-14 10:06:17 UTC
(In reply to comment #1)
> Fixed by upstream commit bc77da94f715f819c81ee8d1e6623e5ba6d3c373. Thanks!
> (fedora will be updated after upgrade to 2.18-rc2)    

I tested the patch and it seems everything is fine. Thanks.


Note You need to log in before you can comment on or make changes to this bug.